def OSAlerts(output_data):

    summary = []
    temp = ""
    for output in output_data:
        if int(output['instanceno']) < 100:
            try:
                for i in output['memory']:
                    if i['metric'] == 'Physical':
                        total = int(i['value'].split(' ')[0])
                    if i['metric'] == 'Free (Value)':
                        free = int(i['value'].split(' ')[0])
                if int((free*100)/total)<5:
                   summary.append([output['instaname'],output['instanceno'],'Memory Utilization','Red'])
                else:
                    summary.append([output['instaname'],output['instanceno'],'Memory Utilization','Green'])        
            except:
                pass

            try:            
                for i in output['cpu']:
                    if i['metric'] == 'CPU_Utilization':
                        used = int(i['value'].split(' ')[0])
                if used>80:
                    summary.append([output['instaname'],output['instanceno'],'CPU Utilization','Red'])
                else:
                    summary.append([output['instaname'],output['instanceno'],'CPU Utilization','Green'])                    
            except:
                pass

            try:    
                temp = []            
                for i in output['fs']:
                    if i['perc'].split(' ')[0].isdigit():
                        if int(i['perc'].split(' ')[0])>85:
                            temp.append('red')
                        else:
                            temp.append('green')
                if 'red' in temp:
                    summary.append([output['instaname'],output['instanceno'],'File System','Red'])
                else:
                    summary.append([output['instaname'],output['instanceno'],'File System','Green'])
            except:
                pass
            
            try:
                shortdumps={}
                for i in range(len(output['runtimedumps'])):
                    if output['runtimedumps'][i]['metric'] == "Shortdumps Frequency":
                        shortdumps[output['runtimedumps'][i]['metric']]=output['runtimedumps'][i]['value']
               
                if shortdumps['Shortdumps Frequency']=='0 /min':
                    summary.append(['Total ABAP Dumps','ST22','Runtime Error: 0',''])
                else:
                    string = 'Runtime Error: ' + shortdumps['Shortdumps Frequency']
                    summary.append(['Total ABAP Dumps','ST22',string,''])
            except:
                pass  

    return summary                        
